# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Aprogram with graphical interface that can compute diffrent hashsums: CRC32, MD4, MD5, SHA1, SHA-256, SHA-384, SHA-512, ED2K and Tiger."
HOMEPAGE="http://readhash.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${PN}-${PV}.tar.bz2"

LICENSE="GPL"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc sparc-fbsd x86 x86-fbsd"
IUSE="debug gnome nls"

RDEPEND="
		>=x11-libs/gtk+-2.2
		gnome? ( >=gnome-base/gnome-vfs-2.18 )
		nls? ( sys-devel/gettext )
		"
DEPEND="
		${RDEPEND}
		dev-util/pkgconfig
		"

src_unpack() {
	unpack ${A}
	cd ${S}
}

src_compile() {
	econf $(use_enable debug) $(use_enable gnome gnomevfs) $(use_enable nls) || die
	emake || die
}

src_install() {
	emake DESTDIR=${D} install || die
	dodoc ChangeLog README LICENSE AUTHORS
}

