/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file entry.c
* @brief Entry
* @author AlannY
* @date 2007-10-14
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdlib.h>
#include <stdint.h>
#include <assert.h>

#include <dbug.h>

#include "entry.h"

inline void entry_free(entry_t *entry) {
    DBUG_ENTER("entry_free");

    assert(entry);

    if( entry->filename )
        free(entry->filename);
    if( entry->path )
        free(entry->path);
    if( entry->crc32 )
        free(entry->crc32);
    if( entry->md4 )
        free(entry->md4);
    if( entry->md5 )
        free(entry->md5);
    if( entry->sha1 )
        free(entry->sha1);
    if( entry->sha256 )
        free(entry->sha256);
    if( entry->sha384 )
        free(entry->sha384);
    if( entry->sha512 )
        free(entry->sha512);
    if( entry->ed2k )
        free(entry->ed2k);
    if( entry->ed2klink )
        free(entry->ed2klink);
    if( entry->tiger )
        free(entry->tiger);
    if( entry )
        free(entry);

    DBUG_VOID_RETURN;
}

