/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file ed2k.h
* @brief ED2K
* @author AlannY
* @date 2007-10-10
*/

#ifndef _FF_ED2K_H
#define _FF_ED2K_H

typedef struct {
    md4_context context;
    md4_context inner;
    uint32_t blockleft;
    uint64_t filesize;
} ed2k_context;

uint8_t ed2k_digest(uint8_t *filename, uint8_t *digest);
uint8_t* ed2k_link(uint8_t *filename, uint8_t *ed2k);
void ed2k_init(ed2k_context *context);
void ed2k_update(ed2k_context *context, uint8_t *input, uint32_t length);
void ed2k_final(ed2k_context *context, uint8_t *digest);

#endif

