/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file md4.h
* @brief MD4
* @author AlannY
* @date 2007-10-10
*/

#ifndef _FF_MD4_H
#define _FF_MD4_H

typedef struct {
    unsigned state[4];
    unsigned count[2];
    uint8_t buffer[64];
} md4_context;

uint8_t md4_digest(uint8_t *filename, uint8_t *digest);

void md4_init(md4_context *context);
void md4_update(md4_context *context, uint8_t *input, uint32_t inputLen);
void md4_final(md4_context *context, uint8_t *digest);

#endif

