/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file md5.h
* @brief MD5
* @author AlannY
* @date 2007-10-10
*/

#ifndef _FF_MD5_H
#define _FF_MD5_H

typedef struct {
    uint32_t state[4];
    uint32_t count[2];
    uint8_t buffer[64];
} md5_context;

uint8_t md5_digest(uint8_t *filename, uint8_t *digest);

void md5_init(md5_context *context);
void md5_update(md5_context *context, uint8_t *input, uint32_t inputLen);
void md5_final(md5_context *context, uint8_t *digest);

#endif

