/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file sha1.h
* @brief SHA1
* @author AlannY
* @date 2007-10-10
*/

#ifndef _FF_SHA1_H
#define _FF_SHA1_H

typedef struct {
    uint32_t hash[5];
    uint32_t length_low;
    uint32_t length_high;
    short block_index;
    uint8_t block[64];
    int computed;
    int corrupted;
} sha1_context;

uint8_t sha1_digest(uint8_t *filename, uint8_t *digest);

void sha1_init(sha1_context *context);
void sha1_final(sha1_context *context, uint8_t digest[20]);
void sha1_update(sha1_context *context, const uint8_t  *message_array, uint32_t length);

#endif

