/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file sha256.h
* @brief SHA256
* @author AlannY
* @date 2007-10-10
*/

#ifndef _FF_SHA256_H
#define _FF_SHA256_H

typedef struct {
    uint64_t total[2];
    uint64_t state[8];
    uint8_t buffer[64];
    uint8_t ipad[64];
    uint8_t opad[64];
} sha256_context;

uint8_t sha256_digest(uint8_t *filename, uint8_t *digest);

void sha256_init(sha256_context *context);
void sha256_update(sha256_context *context, uint8_t *input, int length);
void sha256_final(sha256_context *context, uint8_t *digest);

#endif

