/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file sha512.h
* @brief SHA-512
* @author AlannY
* @date 2007-10-20
*/

#ifndef _FF_SHA512_H
#define _FF_SHA512_H

typedef struct {
    uint64_t digest[8];
    uint64_t count_lo, count_hi;
    uint8_t data[128];
    int local;
} sha512_context;

uint8_t sha512_digest(uint8_t *filename, uint8_t *digest);
uint8_t sha384_digest(uint8_t *filename, uint8_t *digest);

void sha512_init(sha512_context *context);
void sha384_init(sha512_context *context);
void sha512_update(sha512_context *context, uint8_t *buffer, int count);
void sha512_final(sha512_context *context);
void sha384_unpack_digest(sha512_context *context, uint8_t *digest);
void sha512_unpack_digest(sha512_context *context, uint8_t *digest);

#endif

