/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file tiger.h
* @brief Tiger
* @author AlannY
* @date 2007-10-20
*/

#ifndef _FF_TIGER_H
#define _FF_TIGER_H

typedef struct tiger_ctx {
    uint64_t state[3];
    uint8_t message[64];
    uint64_t length;
} tiger_context;

uint8_t tiger_digest(uint8_t *filename, uint8_t *digest);

void tiger_init(tiger_context *context);
void tiger_update(tiger_context *context, uint8_t* msg, unsigned size);
void tiger_final(tiger_context *context, uint8_t *digest);

#endif

