/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file file.h
* @brief File
* @author AlannY
* @date 2007-10-14
*/

#ifndef _FILE_H
#define _FILE_H

#ifdef USE_GNOMEVFS
#include <libgnomevfs/gnome-vfs.h>
#endif

#ifdef USE_GNOMEVFS
typedef GnomeVFSHandle file_t;
#else
typedef FILE file_t;
#endif

inline uint8_t* read_file(uint8_t *filename);
inline file_t* file_open(uint8_t *filename, uint8_t *mode);
inline uint64_t file_read(file_t *file, uint8_t *data, uint64_t len);
inline void file_seek(file_t *file, uint64_t offset, uint8_t position);
inline uint64_t file_tell(file_t *file);
inline void file_write(file_t *file, uint8_t *data, uint64_t len);
inline void file_write_line(file_t *file, uint8_t *data);
inline void file_close(file_t *file);
inline void file_rename(uint8_t *from, uint8_t *to);

inline uint8_t* get_filename(uint8_t *filename);
inline uint8_t* get_path(uint8_t *filename);
inline uint8_t* get_ext(uint8_t *filename);
inline uint64_t get_filesize(uint8_t *filename);

#endif

