/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file progress.c
* @brief Progress
* @author AlannY
* @date 2007-10-24
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdint.h>

#include <dbug.h>

#include <gtk/gtk.h>

#include "readhash.h"

#include "entry.h"
#include "gui/window.h"
#include "gui/progress.h"

inline void set_progress(uint64_t cur, uint64_t max) {
    if( status->flags & STATUS_GUI ) {
        if( max != 0 ) {
            if( GTK_IS_PROGRESS_BAR(window.progressbar)  ) {
                gdk_threads_enter();
                gtk_progress_bar_set_fraction(GTK_PROGRESS_BAR(window.progressbar), (double)cur/(double)max);
                gdk_threads_leave();
            }
        }
    }
}

inline void set_status(uint8_t *msg) {
    if( status->flags & STATUS_GUI ) {
        if( GTK_IS_STATUSBAR(window.statusbar) ) {
            gdk_threads_enter();
            gtk_statusbar_pop(GTK_STATUSBAR(window.statusbar), 0);
            gtk_statusbar_push(GTK_STATUSBAR(window.statusbar), 0, (gchar*)msg);
            gdk_threads_leave();
        }
    }
}

