/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file window.h
* @brief Main Window
* @author AlannY
* @date 2007-10-09
*/

#ifndef _GUI_WINDOW_H
#define _GUI_WINDOW_H

enum {
    PIXBUF_COLUMN,
    FILE_COLUMN,
    CRC32_COLUMN,
    STATUS_COLUMN,
    ENTRY_COLUMN,
    N_COLUMNS
};

struct window_s {
    GtkWidget *window;
    GtkListStore *file_store;
    GtkTreeSelection *select;
    GtkWidget *progressbar;
    GtkWidget *statusbar;
    GtkTextBuffer *buffer;
    GtkTextTag *bold;
    GtkTextTag *blue;
    GdkPixbuf *grey;
    GdkPixbuf *green;
    GdkPixbuf *red;
    GtkWidget *crc32_button;
    GtkWidget *md4_button;
    GtkWidget *md5_button;
    GtkWidget *sha1_button;
    GtkWidget *sha256_button;
    GtkWidget *sha384_button;
    GtkWidget *sha512_button;
    GtkWidget *ed2k_button;
    GtkWidget *ed2klink_button;
    GtkWidget *tiger_button;
    GtkWidget *abort_button;
};

int init_gui(int *argc, char **argv[]);
void show_text(entry_t *entry);
void show_text_wrap(entry_t *entry);
void check_crc_in_table(entry_t *entry);

extern struct window_s window;

#endif

