/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file i18n.h
* @brief I18N
* @author AlannY
* @date 2007-09-10
*/

#ifndef _I18N_H
#define _I18N_H

#ifdef ENABLE_NLS

#include <libintl.h>
#define _(s) gettext(s)
#ifdef gettext_noop
#define N_(s) gettext_noop(s)
#else
#define N_(s) (s)
#endif

#else

#define _(s) (s)
#define N_(s) (s)
#define textdomain(s) (s)
#define gettext(s) (s)
#define dgettext(d,s) (s)
#define dcgettext(d,s,t) (s)
#define bindtextdomain(d,i) (d) 
#define bind_textdomain_codeset(d,c) (c) 

#endif

#endif

