/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file queue.h
* @brief Queue
* @author AlannY
* @date 2007-10-15
*/

#ifndef _QUEUE_H
#define _QUEUE_H

typedef struct entry_queue_s {
    entry_t *entry;
    struct entry_queue_s *next;
} entry_queue_t;

typedef struct {
    entry_queue_t *first_entry;
    entry_queue_t *last_entry;
    int count;
} queue_t;

inline void queue_start();
void* queue_init(void *ptr);
inline void queue_flush(queue_t *q);
inline void queue_remove(queue_t *q, entry_t *entry);
inline void queue_put(queue_t *q, entry_t *entry);
inline entry_t* queue_get(queue_t *q);

extern queue_t *queue;
extern entry_t *cur_entry;

#endif

